<html>
<head>
    <link rel="stylesheet" href="../../../fast/repaint/resources/default.css">
    <style>
        table { top: 0px; left: 0px; border-spacing: 0px; position: absolute; }
        td { background: green; padding: 0px; border-style: none; border: 0px; }
        td.fixed { position: fixed; left: 100px; top: 0px; }
    </style>
    <script>
        if (window.testRunner)
            testRunner.dumpAsTextWithPixelResults();

        window.onload = function() {
            window.scrollTo(0, 100);
            runRepaintTest();
        };

        function repaintTest()
        {
            document.getElementById('moveMe').className = "fixed";
        }
    </script>
</head>
<body style="height:2000px;">
    <!-- Repaint test for https://bugs.webkit.org/show_bug.cgi?id=64650: Layer fixed position logic needs more basic testing -->
    <!-- You should see no red on this page. -->
    <table>
        <tr><td></td><td></td></tr>
        <tr><td class="red"></td><td id="moveMe"><div style="position: relative; left: -100px; top: 0px;" class="green"></div></td></tr>
</body>
</html>
